Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iview.table
Class ActionTreeTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          ix.iface.ui.table.AbstractIXTableModel
              ix.iface.ui.table.AbstractTreeTableModel
                  ix.iview.table.ActionTreeTableModel

All Implemented Interfaces:
  TableMouseListener, UIDomainListener, java.io.Serializable, java.util.EventListener, javax.swing.table.TableModel

Direct Known Subclasses:
  ShortActionTreeTableModel

    public class ActionTreeTableModel

extends AbstractTreeTableModel
implements UIDomainListener

A TreeTableModel that can display Refinement and Node objects.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class ix.iface.ui.table.AbstractIXTableModel
`AbstractIXTableModel.TableMarkListener`

Field Summary
`protected int` | `PATTERN_COL`
`protected UIDomain` | `uiDomain`

Fields inherited from class ix.iface.ui.table.AbstractTreeTableModel
`CLOSEDC, CLOSEDI, INDENT_STEP, LEAFC, LEAFI, nameColumn, nodeMap, nodes, OPENC, OPENI, treeIconColumn`

Fields inherited from class ix.iface.ui.table.AbstractIXTableModel
`columnClasses, columnFields, columnNames, markedRows, objectClass, rows, rowsMarkable`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`ActionTreeTableModel(boolean markable, UIDomain uiDomain)`

Method Summary
`void` | `constructAdded(DomainEvent e)`
`void` | `constructAdded(UIDomainEvent e)` Called when a UI construct is added.
`void` | `constructEdited(UIDomainEvent e)` Called when a UI construct is edited.
`void` | `constructRemoved(UIDomainEvent e)` Called when a UI construct is removed.
`void` | `domainCleared(UIDomainEvent e)` Called when the domain is cleared.
`void` | `domainEdited(UIDomainEvent e)` Called when the domain's own fields changed (currently only name).
`void` | `domainSet(UIDomainEvent e)` Called when the domain is added.
`java.lang.Object` | `getCellValueAt(java.lang.Object o, int columnIndex)` Gets the cell value for normal cells (only one - the pattern).
`java.lang.String` | `getNameString(javax.swing.tree.TreeNode node)` Gets the name string for the given row object.
`protected LList` | `getPattern(IXTNTreeTableNode iNode)`
`boolean` | `getSort()`
`boolean` | `isOwnObject(java.lang.Object o)`
`IXTreeTableNode` | `makeIXTreeTableNode(java.lang.Object theNode)` Makes an IXTreeTableNode from the given object.
`void` | `refinementAdded(RefinementEvent e)`
`void` | `refinementRemoved(RefinementEvent e)`
`void` | `reloadData()` Looks up all refinements and updates the tree model from them.
`void` | `resetData()` Looks up all refinements and builds the tree model from them, discarding previous data.
`(package private) void` | `setColumnNames()` Gets the strings that are to be used as column names.
`void` | `setDomain(UIDomain domain)`
`void` | `setSort(boolean sortIt)`

Methods inherited from class ix.iface.ui.table.AbstractTreeTableModel
`addData, addTreeNode, addTreeTableModelListener, cellClicked, clearData, clearTable, deriveColumnFields, expandNode, fireNodeStructureChanged, fireObjectChanged, fireTreeStructureChanged, forceExpandNode, getNodeRow, getObjectRow, getParentsBold, getRowNode, getRowObject, getTreeNode, getTreeNode, getTreeNodeType, getTreeValueAt, getValueAt, isCellEditable, isExpanding, isParentsBold, ixTTNListToString, makeIXTreeTableNode, removeChildData, removeChildren, removeData, removeDataNode, removeNodes, removeTreeNode, setColumnFields, setColumnNames, setColumnPlaces, setData, setData, setParentsBold, unexpandNode, updateData`

Methods inherited from class ix.iface.ui.table.AbstractIXTableModel
`addData, addMarkListener, clearMarks, defaultGetCellValueAt, defaultSetColumnFields, fireTableMarkAdded, fireTableMarkCleared, fireTableMarkedAll, fireTableMarkRemoved, getColumnClass, getColumnCount, getColumnName, getColumnNames, getData, getMarkedObjects, getMarkedRows, getRowCount, isMarkable, isMarked, isMarkedEmpty, markAll, markRow, removeMarkListener, replaceData, setColumnClasses, setValueAt, unmarkRow`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### uiDomain

    protected UIDomain uiDomain

### PATTERN_COL

    protected int PATTERN_COL

Constructor Detail

### ActionTreeTableModel

    public ActionTreeTableModel(boolean markable,
                                UIDomain uiDomain)

Method Detail

### setDomain

    public void setDomain(UIDomain domain)

### makeIXTreeTableNode

    public IXTreeTableNode makeIXTreeTableNode(java.lang.Object theNode)

  Makes an IXTreeTableNode from the given object. If the given object is not a TreeNode already, uses the domain to get the object's UIObject.

  Specified by:
    `makeIXTreeTableNode` in class `AbstractTreeTableModel`

### getCellValueAt

    public java.lang.Object getCellValueAt(java.lang.Object o,
                                           int columnIndex)

  Gets the cell value for normal cells (only one - the pattern). The name cell is done in the AbstractTreeTableModel method getTreeValueAt.

  Specified by:
    `getCellValueAt` in class `AbstractTreeTableModel`
  Returns:
    the value as an object, null for illegal columns.

### getNameString

    public java.lang.String getNameString(javax.swing.tree.TreeNode node)

  Gets the name string for the given row object.

  Specified by:
    `getNameString` in class `AbstractTreeTableModel`

### setColumnNames

    void setColumnNames()

  Gets the strings that are to be used as column names.

### getPattern

    protected LList getPattern(IXTNTreeTableNode iNode)

### reloadData

    public void reloadData()

  Looks up all refinements and updates the tree model from them. This method retains the expansion information.

### resetData

    public void resetData()

  Looks up all refinements and builds the tree model from them, discarding previous data. This method loses the expansion information and will collapse the whole tree. Use reloadData to retain expansion information.

### setSort

    public void setSort(boolean sortIt)

### getSort

    public boolean getSort()

### isOwnObject

    public boolean isOwnObject(java.lang.Object o)

### refinementAdded

    public void refinementAdded(RefinementEvent e)

### refinementRemoved

    public void refinementRemoved(RefinementEvent e)

### constructAdded

    public void constructAdded(UIDomainEvent e)

  Description copied from interface: `UIDomainListener`
  Called when a UI construct is added. Use getSource() to get at the domain (UI/IX) in which the event occurred. Use getObject() to get at the object (UI/IX) that has been added.

  Specified by:
    `constructAdded` in interface `UIDomainListener`

### constructAdded

    public void constructAdded(DomainEvent e)

  Specified by:
    `constructAdded` in interface `UIDomainListener`

### constructRemoved

    public void constructRemoved(UIDomainEvent e)

  Description copied from interface: `UIDomainListener`
  Called when a UI construct is removed. Use getSource() to get at the UIDomain in which the event occurred. Use getObject() to get at the UIObject that has been removed.

  Specified by:
    `constructRemoved` in interface `UIDomainListener`

### constructEdited

    public void constructEdited(UIDomainEvent e)

  Description copied from interface: `UIDomainListener`
  Called when a UI construct is edited. Use getSource() to get at the UIDomain in which the event occurred. Use getObject() to get at the UIObject that has been edited.

  Specified by:
    `constructEdited` in interface `UIDomainListener`

### domainCleared

    public void domainCleared(UIDomainEvent e)

  Description copied from interface: `UIDomainListener`
  Called when the domain is cleared.

  Specified by:
    `domainCleared` in interface `UIDomainListener`

### domainEdited

    public void domainEdited(UIDomainEvent e)

  Description copied from interface: `UIDomainListener`
  Called when the domain's own fields changed (currently only name).

  Specified by:
    `domainEdited` in interface `UIDomainListener`

### domainSet

    public void domainSet(UIDomainEvent e)

  Description copied from interface: `UIDomainListener`
  Called when the domain is added.

  Specified by:
    `domainSet` in interface `UIDomainListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD